Index: test/adaptors_test.cc
===================================================================
--- test/adaptors_test.cc	(revision 1092)
+++ test/adaptors_test.cc	(revision 1197)
@@ -146,10 +146,14 @@
   // Check the conversion of nodes and arcs
   Digraph::Node nd = n4;
+  ::lemon::ignore_unused_variable_warning(nd);
   nd = n4;
   Adaptor::Node na = n1;
+  ::lemon::ignore_unused_variable_warning(na);
   na = n2;
   Digraph::Arc ad = a4;
+  ::lemon::ignore_unused_variable_warning(ad);
   ad = a5;
   Adaptor::Arc aa = a1;
+  ::lemon::ignore_unused_variable_warning(aa);
   aa = a2;
 }
@@ -270,10 +274,14 @@
   // Check the conversion of nodes and arcs
   Digraph::Node nd = n3;
+  ::lemon::ignore_unused_variable_warning(nd);
   nd = n3;
   Adaptor::Node na = n1;
+  ::lemon::ignore_unused_variable_warning(na);
   na = n2;
   Digraph::Arc ad = a3;
+  ::lemon::ignore_unused_variable_warning(ad);
   ad = a3;
   Adaptor::Arc aa = a1;
+  ::lemon::ignore_unused_variable_warning(aa);
   aa = a2;
 }
@@ -366,10 +374,14 @@
   // Check the conversion of nodes and arcs
   Digraph::Node nd = n3;
+  ::lemon::ignore_unused_variable_warning(nd);
   nd = n3;
   Adaptor::Node na = n1;
+  ::lemon::ignore_unused_variable_warning(na);
   na = n2;
   Digraph::Arc ad = a3;
+  ::lemon::ignore_unused_variable_warning(ad);
   ad = a3;
   Adaptor::Arc aa = a1;
+  ::lemon::ignore_unused_variable_warning(aa);
   aa = a2;
 }
@@ -464,10 +476,14 @@
   // Check the conversion of nodes and arcs
   Digraph::Node nd = n3;
+  ::lemon::ignore_unused_variable_warning(nd);
   nd = n3;
   Adaptor::Node na = n1;
+  ::lemon::ignore_unused_variable_warning(na);
   na = n2;
   Digraph::Arc ad = a3;
+  ::lemon::ignore_unused_variable_warning(ad);
   ad = a3;
   Adaptor::Arc aa = a1;
+  ::lemon::ignore_unused_variable_warning(aa);
   aa = a2;
 }
@@ -575,10 +591,14 @@
   // Check the conversion of nodes and arcs/edges
   Digraph::Node nd = n3;
+  ::lemon::ignore_unused_variable_warning(nd);
   nd = n3;
   Adaptor::Node na = n1;
+  ::lemon::ignore_unused_variable_warning(na);
   na = n2;
   Digraph::Arc ad = e3;
+  ::lemon::ignore_unused_variable_warning(ad);
   ad = e3;
   Adaptor::Edge ea = a1;
+  ::lemon::ignore_unused_variable_warning(ea);
   ea = a2;
 }
@@ -735,8 +755,11 @@
   // Check the conversion of nodes and arcs
   Digraph::Node nd = Adaptor::NodeIt(adaptor);
+  ::lemon::ignore_unused_variable_warning(nd);
   nd = ++Adaptor::NodeIt(adaptor);
   Adaptor::Node na = n1;
+  ::lemon::ignore_unused_variable_warning(na);
   na = n2;
   Digraph::Arc ad = Adaptor::ArcIt(adaptor);
+  ::lemon::ignore_unused_variable_warning(ad);
   ad = ++Adaptor::ArcIt(adaptor);
 }
@@ -988,10 +1011,14 @@
   // Check the conversion of nodes and edges
   Graph::Node ng = n3;
+  ::lemon::ignore_unused_variable_warning(ng);
   ng = n4;
   Adaptor::Node na = n1;
+  ::lemon::ignore_unused_variable_warning(na);
   na = n2;
   Graph::Edge eg = e3;
+  ::lemon::ignore_unused_variable_warning(eg);
   eg = e4;
   Adaptor::Edge ea = e1;
+  ::lemon::ignore_unused_variable_warning(ea);
   ea = e2;
 }
@@ -1093,10 +1120,14 @@
   // Check the conversion of nodes and edges
   Graph::Node ng = n3;
+  ::lemon::ignore_unused_variable_warning(ng);
   ng = n4;
   Adaptor::Node na = n1;
+  ::lemon::ignore_unused_variable_warning(na);
   na = n2;
   Graph::Edge eg = e3;
+  ::lemon::ignore_unused_variable_warning(eg);
   eg = e4;
   Adaptor::Edge ea = e1;
+  ::lemon::ignore_unused_variable_warning(ea);
   ea = e2;
 }
@@ -1199,10 +1230,14 @@
   // Check the conversion of nodes and edges
   Graph::Node ng = n3;
+  ::lemon::ignore_unused_variable_warning(ng);
   ng = n4;
   Adaptor::Node na = n1;
+  ::lemon::ignore_unused_variable_warning(na);
   na = n2;
   Graph::Edge eg = e3;
+  ::lemon::ignore_unused_variable_warning(eg);
   eg = e4;
   Adaptor::Edge ea = e1;
+  ::lemon::ignore_unused_variable_warning(ea);
   ea = e2;
 }
@@ -1357,10 +1392,14 @@
   // Check the conversion of nodes and arcs/edges
   Graph::Node ng = n3;
+  ::lemon::ignore_unused_variable_warning(ng);
   ng = n3;
   Adaptor::Node na = n1;
+  ::lemon::ignore_unused_variable_warning(na);
   na = n2;
   Graph::Edge eg = e3;
+  ::lemon::ignore_unused_variable_warning(eg);
   eg = e3;
   Adaptor::Arc aa = e1;
+  ::lemon::ignore_unused_variable_warning(aa);
   aa = e2;
 }
